Cover

DanceMaster
Librarian
User's Manual


About This Manual
This manual is organized into four main sections:
  • This Introduction to DanceMaster in general and the Record Librarian in particular.
  • Getting Started, which covers how to select and play with the sample database to get a feel for the way the program works, and how to switch to your own database when you are ready.
  • Adding your own data, which covers the process of adding records, songs and dances as well as cue cards and sound files, and looking things up once you have goten them in there.
  • Reports, which talks about (as you might expect) printing reports and record jackets.
  • Screen-By-Screen Reference, which explains each of the fields and buttons on each of the forms.
    • Because I know that you won’t read this manual through like a book, a lot of the material is presented more than once, in different places and in different ways. Not that you're excused from reading it through, because it does have a lot of good stuff that will make using Librarian easier, but I'll try to minimize the impact if you don't.


Introduction
Welcome to the DanceMaster Librarian. This program will make it easy(ier) to keep track of what records are where, what is on the flip side of each, and what phase III waltzes (for instance) you have. It will also make various handy lists of all your records and dances. Using the Librarian you can:
  • Print an index list of what record, CD or mini-disk each of your dances is on. This makes it practical to store your records by label and number (i.e. GRENN 10274) instead of deciding which of the songs on the record to file it under and then remembering that when you need the record again.
  • Print an alphabetical list of dances showing the records they are on and the locations of those records.
  • Print a list of the dances you prefer cueing, sorted by rhythm and phase, to serve as a "menu" for dancers during request rounds. Or for yourself, when you’re trying to figure out what to cue next.
  • Print a list of your "preferred" dances to give to festival programmers.
  • Print "Jacket Covers" to slip into the record envelopes. These identify the record, list the dances on the record, the rhythm, phase, choreographer, "plus" figures AND show the head cues as well.
    • Librarian will produce other useful lists as well, and perhaps more importantly, it will serve as the foundation for the other modules in the DanceMaster suite, including the DanceMaster Player, which lets you replace your records and turntable (or mini-disks and player) with a laptop computer.
    How is it different from DanceMaster Database?
    Librarian is intended to be easier to understand, easier to use, and harder to break than DanceMaster Database. In addition, Librarian supports multiple Categories for each dance, can attach and synchronize voice files, and can switch easily among several databases.
    Next: The DanceMaster Family


The DanceMaster Family
The DanceMaster Record Librarian is one module in a suite of round dance computer programs. These programs work together (and in some cases alone as well) to make your life as a cuer easier and more organized. You can use the modules that will be most useful to you and ignore the rest.
This Record Librarian module is used to build and maintain the store of information which is the foundation for the DanceMaster family. It is also a useful tool in it’s own right. As mentioned elsewhere, it will help you organize and keep track of your dances and records, print lists of your dances sorted in a variety of ways, find dances and records, and print record "jackets". (Librarian is the replacement for the original DanceMaster Database.)
The DanceMaster Player will help you select dances from a menu of available material. It will show you what dances you have in a particular rhythm and/or phase, display your cue cards on the computer screen, and even play the music. If you run it on a laptop computer, you can use it in place of your records and turntable (or mini-disk). The player will also help you pre-program your next set(s) or dance(s).
The DanceMaster Porter will make it easy to move dances - including all the dance/song/record data, the music, the cue card and cue sheet files - everything DanceMaster knows about a dance - to another computer. This way you can move new dances between your primary and backup computers and your desktop. You can also put a set of dances on a USB "Thumb Drive" for use on a "Guest" computer (i.e. at a festival). (Not yet released)
Other family members may come along as the need arises and time permits.
Next: Registration


How to Register
1. Send me a note with your name, spelled out the way you would like to see it appear on the reports that DanceMaster generates.
You do not need to send me any money - you're welcome to use the Record Librarian for as long as you want for free. However, if you wish to express your appreciation for the time and work that went into developing the program, and continues to go into supporting and enhancing it, money is among the well-recognized (and appreciated) forms of expression.
2. I will send you a registration code.
3. Go to the registration screen (from the Main Menu) and enter your name just as you sent it to me, along with the code.
4. Your consience will be clear, your reports will bear your name, and life will be wonderful.
Next: Using the right database


Select Database File

Select Database File Screen
This screen is where you switch between your Sample Database and your real database. After you have finished playing with the samples that come with DanceMaster, you will want to click the "Your Database" button to start entering your own data. You can always flip back to the sample database to review or try something out.
If you want to be adventurous, and set up more than one database, the "Specify Folder Locations" button is the way to do it. It will lead to a screen where you can set up your own folder locations and even save several database configurations. Note that this screen is for advanced users who are willing to take responsibility for their mistakes! If you venture out into this area, you are on your own, because I probably won't be able to help you get out of trouble.
Next: Exploring the Sample Database


Exploring the Sample Database
The sample database contains a few of the dances, songs, and records from our collection, and is in here to give you a feel for the way the program works, before you settle down and enter a lot of your own data. It includes some cue cards, and 30-second snippets of some sample sound files.
Before we go any farther, you might want to make sure you are using the sample database. Here's how:
On the Librarian Main Menu, click the gray "Switch Database File" button. Then:
On the small window that pops up, click the blue "Sample Databse" button.
Click the red "Close" button.
Click the green "Add or Update Records / Songs / Dances" button on the Main Menu.
The Records/Songs/Dances screen will appear. Using this form is one way to what records you have, what songs are on them and what dances are attached to those songs.
It will probably be worthwhile to take a minute to read about the Records/Songs/Dances form here.
The program opens with the first record in the database selected - in this case it it A&M 8505. The "Songs on this record" box (on the right side of the pink "RECORD" section) shows us that there are two songs on it (not a surprise, since most records have two songs on them): "Mae" and "Whipped Cream". "Mae", being the first song, has a black triangle to the left of its name. That means that it is the song shown in the blue "SONG" section of the screen. If you click on "Whipped Cream", you see that it becomes the "selected" song, and shows up in the SONG area. You may have noticed that when you switched songs, the dance information in the green DANCE section changed too.
Click the green "Next Record" button in the RECORD section of the screen. The display changes to show Arista 10001-7, which contains "Holly Jolly Christmas" and "I Only Want You". Select "I Only Want You" (click on it) to see the song (and the dance) change to "I Only Want You For Christmas". Notice that the "Active" and "Preferred" check boxes in the green DANCE part of the form are both empty. This dance should be both active and preferred, so let's correct that. If you click on the box in this screen, nothing happens. You get the same result if you try to change almost any of the information here. This screen is just for displaying the information about the dance, song or record. To make changes, we need the DETAILS screen.
Click the white "Details / Change" button in the DANCE section of the form to open the Dance Details screen. Note that if you had clicked the same button in a different part of the form, you would have gotten the detail screen for the song or the record, not the dance.
The DETAILS forms are where you can add new dances (or records or songs) or make changes to existing ones. Go ahead and click on both the Active and the Preferred checkboxes. You will see the navigation buttons on the left side of the screen disappear and be replaced by big Save and Cancel buttons. To get out of this screen, you will have to choose one or the other. Since we don't want to throw away all the work we put into clicking those two boxes, click "Save". Go ahead and close the Details screen.
Click the blue "Find" button in the DANCE section of the form. Type "c" in the Dance Name box. Notice that the dance shown is now "Calendar Girl". Add an 'o' to the "Dance Name" field, and notice that the dance has now changed to "Combo Cha". You can find most dances by typing just a few letters of the dance name. Same with Songs and Records. If you click the "OK" button, the "Find" form will disappear, and the SONG and RECORD sections of the form will adjust to show the proper information for this dance. If you click the "Cancel" button instead, you will return to "I Only Want You".
Click the purple "Browse" button in the RECORD section of the form. You will see alist of all the records in the database, sorted by Mfr and Number. Click on "COLLECTABLE 4315, and notice that the R/S/D form underneath the list changes to that record, the SONG and DANCE change to "Beautiful Sunday". Whatever record you click on in that list becomes the current record. Across the top of that list are three tabs - DANCES, SONGS and RECORDS. Click the DANCES tab, and "Poof!" you get a green list of dances, with "Beautiful Sunday" selected. If you click on "San Francisco", the R/S/D form changes to match. If you click the RECORDS tab, you will find the DUMMY record selected. All three tabs and the R/S/D screen stay synchronized.
Next: Setting Up Lists


DUMMIES
As you probably already know, DanceMaster feels that all dances should be attached to songs, and all songs should be attached to records. Sometimes this isn't the case in the real world. You can enter new dances using the Player (which doesn't know anything about songs or records), or you can have music that exists only as an MP3 file on your disk. Since Librarian simply can't cope with the thought of "orphan" dances, it attaches them to the "DUMMY" song. Any orphan songs, inclufing the Dummy song, are attached to the DUMMY record.
When you first try to open a dance that has been entered using the Player, Librarian will tell you that it is attaching the dance to the DUMMY. When the dance is open, you can enter the correct record and song information, then move the dance to the real song.


Setting Up Lists
DanceMaster uses pre-defined lists for several types of information that are re-used frequently. This makes data entry both easier and more consistent. But, since nothing in life is free, you have to set up the lists in the first place. Actually, most of the work is already done for you – the biggest lists are already set up. You can modify them to suit yourself, of course, but they should be fine to start with.
Record Companies or Record Labels: This already contains about 100 pop and round dance labels, but even so, chances are that you will have a few that I’ve never heard of. So you will have to add them yourself.
Rhythms: includes all the current Roundalab rhythms and their standard abbreviations, and a few extra as well.
Categories: This one is more individual. It is for assigning dances to categories that would be useful to you. You might want to use seasonal categories such as "Christmas" and "St. Patrick’s Day", or functional categories like "Mixer", "Beginner", "Patter", etc.. Or both. Or something else altogether. Categories are intended to help select dances, so if you find yourself wondering "What romantic dances do I have?" then "Romantic" would be a good category to include.
A dance can belong to more than one category (up to four, in fact), so you can have a "Romantic" "Mixer" for "Beginners" on "St. Patrick's Day" (well, maybe not, but if you did, you would be able to find it under any of those categories).
Record Locations: includes all the places you keep records. Ours are either in the "Black Box", the "Grey Box", the "Small Box" or in a "Drawer". Your locations are probably different.
To add or change list entries:
From the Main Menu, click "Add or Update Rhythms / Categories / Record Labels & Locations". Choose the list you want to work with. Here's how to add to or edit the lists.
Next: Entering Your First Data


Entering First Data

Entering Your First Data
We will start by entering some Locations. These are places where you keep your records (boxes, shelves, piles, etc.). On the Main Menu, click on the "Add or Update Rhythms / Categories / Record Labels & Locations" button.
In the small window that pops up, click the "Record Locations" button to open the "Location" window.
Type the name of a place you keep records in the white box at the left.. I'll enter "Black Box". Click the "OK" button to save the new location entry. Add another location in the new empty whit box below your first entry. ("Orange Box" for me), and save that too. Repeat this process until you have entered all the likely hiding places for records. When you are done, click the "Close" button to dismiss the form and get back to the Lists Menu.
This would be a good time to check the "Categories" list as well. Click the "Categories" button to see the list of categories that DanceMaster comes with. Chances are that you will want to change, or at least add to, the list. When you are done, click the "Close" button.
Then it is on to Entering a Record.


Your First Record
Let's enter the first record. I happen to have Roper #288 on the top of my pile, and you can follow along with whatever record you have handy.
Open the R/S/D form by clicking "Add or Update Records / Songs / Dances" on the Main Menu. This form will show you one record (in the pink section), and all the songs (blue) and dances (green) attached to it. Right now it just shows "Dummy".
Click on the "Add New Record" button in the record section of the form. This opens the Record Detail Form. (If you haven't entered any locations yet, you will be reminded of that first.) The first field in the form is for you to enter your own record number (if you want to use your own numbering system). You don't have to use that, and DanceMaster will pretty much ignore it anyway, but it will be handy if you already have a system for indexing your records.
Click in the "Label" window to put the cursor there and enter the first few letters of the record label (I will type ro"). "ROPER" magically appears in the Label window. Or I can select a label from the list by clicking on the black triangle to the right of the Label field. The list of record manufacturers will appear, and I can scroll down to the 'R's. If your label isn't in the list, you can add it from the "Record Labels" button on the Main Menu, but for now just type it in here. When you have selected the label of your record, press "Tab" to move to the next field.
Enter the manufacturer's number on the record label here (288 for me). Then click on the arrow beside the Location field and choose the place where this record can usually be found (Orange Box). You can optionally enter the date the record was purchased and from whom, if you wish to keep track of that information. The only fields that we really need are the Label and Mfgrs Record No. Click "Save Changes" when you are done.
Congratulations; you have entered your first data. The information you just entered is shown in the pink section of the R/S/D form. You can rest on your laurels if you like, but it would probably be more productive to move on to Adding A Song.
Next: Adding a song


Your First Songs
To enter the songs on this record, click "Add New Song to This Record" in the blue section of the Records/Songs/Dances form. This opens the Song Details form. As you can see, it isn't very daunting - in fact there is only one field that is really required.
In the Title field, enter the Title of the song (NOT the name of the dance). In my case the one facing up is "Arrivederci Roma". The Performer field is optional (I'll enter "The Roper Orchestra"). The track number is more useful for CDs than for records, but I'll enter "A" here since this song is on side A. The record doesn't have cues on it, so I won't checkmark the "Cued Record" box.
Since this record has two sides, it has two songs. Do yourself a big favor and enter the song on the other side of the record, even if you don't expect to ever use it. This is your best insurance against buying the same record twice.
The song on the other side of my record is San Srancisco, so I'll click the pink "Add New Song To This Record" button again, and type "San Francisco" in the title box. Notice that Librarian assumes that the performer is the same as on the previous side. If it happens to be wrong, just type the correct name in.
Now both songs you entered appear in the list of "Songs On This Record".
Ok, now we come to the main event - what we all came here for: Entering a Dance.
Next: Your First Dance


Your First Dance
In the list of Songs On This Record, select (by clicking on) the song you want to add a dance for. I'll click "Arrividerci Roma".
At the bottom of the green "Dance" section, click the blue "Add New Dance To This Song" button. (I know that you could have figured that out, but this is a manual, and it should be thorough.) It might be helpful to take a quick look at the Dance Detail Form Reference Page, then come back here.
Enter the name of the dance (Goodbye Rome Foxtrot) in the Name field, the Choreographer (Sanders) in the next field.. In the Phase field, you can enter either Arabic or Roman numerals. I will enter "4" and it will magically become "IV". Plus is for the number of "Plus" figures in the dance. This dance doesn't have any, so I will leave that blank. Nor are there any Unphased figures. "Suggested Speed" is the speed the record should be played at. Since this dance doesn't need a speed change, I'll leave the default "45" in there.
I cue this dance (or rather, my Significant Cuer does), so I will put a check mark (click on) the "Active" field. It isn't a Roundalab Classic, so that will stay blank. I would like this to appear on "Menus" I print for dancers to choose requests from,and on lists for festival programmers, so I will also click on the "Preferred" field.
Because I left the # of "plus" figures blank, the "Plus Figures" windows have disappeared, but I have three Rhythms and four Categories fields to contend with. As you might have guessed from the dance name, this is a fox trot, so I'll need only one of the rhythm fields. ("Dancing at Washington Square" would need all three rhythm boxes so it would show up when I was looking for foxtrots, two-steps or jives). I will click in the first "Rhythm" box and type "f". And as if by magic, Five-step appears! Wrong! So I type the second letter ('o'), and this time Librarian gets it right .
A dance can belong to one or more categories, such as "Christmas", "Cue And Do", "New Dances", etc. Assigning categories will make it easier to find dances when you want them, and Librarian lets you use categories that are meaningful to you. (You can add and change categories from the "Add or Update Rhythms etc." button on the Main Menu.) You can choose a category by typing a letter or two, as we just did with rhythms, or you can click on the black triangle to the right of the category field and choose frm the list that drops down.
Other Significant Figures are figures that are not above the phase level of the dance (those would be "plus" figures), but are unusual or more difficult than your dancers might be used to. Things that they might want to be reminded of before the dance starts. You can put up to 4 of them in here. Comments are whatever you want to remind yourself about this dance.
The Cues are... box is where you tell DanceMaster how to handle your voice cues. They could be "Not Recorded", of course, or you could have put them in the left or right channel of a stereo recording, like a mini-disk (not recommended), or you could have put them in their own MP3 file (recommended). In which case you would choose "In Voice File".
That is everything we need to know about this dance except what files are attached to it. So let's move on and take care of that.
Next: Attaching The Files


First Dance - Files

Your First Dance
Attaching Files
Before we go any farther we must have put the files we want to attach (the music, voice cues, cue card and cue sheet files) into the proper folders on the hard drive. The music for this dance should be in C:\DanceMaster\Music Files, the voice cues should be in C:\DanceMaster\Voice Files, the cue card in C:\DanceMaster\Cue Cards, and the cue sheet in C:\DanceMaster\Full Cues.
Now that we have put the files where they belong on the disk, let's attach the Cue Card file. Click on Add / Change Cue Card. (I guess you could have figured that out, couldn't you?) Up pops a list of all the cue card files in the DanceMaster cue card folder. (The folder path is shown above the top of the list, in case you forget what it is.) If you have slipped files into that folder "behind Librarian's back" (i.e. put them there since you opened Librarian) it won't know they are there. To make Librarian take another look, click the "Refresh Cue Card List" button. Ahh, there they are!
After you have timed a cue card (more about that later), you will see timing files listed here in addition to cue card files. To reduce clutter, you might want to have Librarian hide the timing files (they end in .sct). If so, click on the checkbox near the bottom of this window.
Select the cue card file for this dance by clicking on it, then click O.K. You will now see the name of the cue card file on the Dance Details screen. You can click on the "Show Cue Cards" checkbox to display a miniature of the cue card file, just to reassure yourself that it is the right one.
Go ahead and add the music file the same way. In the Recorded at: box, enter the speed at which the music was recorded, so DM knows how much to adjust it by when you want to change the speed. If a dance should be played at 43, you can record it at 43, or record it at 45 and have DanceMaster play it at 43. Here is where you tell DM how it is going to work.
The Cues (Voice) Sound File and the Full Cue Sheet boxes work the same way. As with all the "attach file" boxes, buttons are provided so you can confirm that you are attaching the correct file.
If you specified a voice file for this dance, the Synchronize Music and Voice Files box will be enabled. You use this to set the timing of your recorded cues. If you have recorded an introduction ("This is a phase four plus two Fox Trot. The plus figures are...") click the Start Cues button. Otherwise click the Start Music button first. When you do, either the cues or music will start playing. At the appropriate time, click the other "Start" button. Then you can use the Cues Earlier or Cues Later buttons to make adjustments. Click the "Stop" button to stop them both, then click "Start Both" to play it the way it would be played at a dance. You can make further adjustments with the "Earlier" and "Later" buttons. Be sure to click the "Save" button when you have it set the way you wnat it.
The sliders at the right will let you adjust the music and cue volume.
Click the green "Save" button on the left side of the screen. Congratulations! You've entered your first dance! BUT... you aren't done yet.
We have another song on this record! In the blue SONG section of the form, click on the other song name in the "Songs On This Record" list on the right. You will see that song's name and performer on the left side. Click the blue "Add New Dance To This Song" button near the bottom of the screen again, and fill in the information for San Francisco Foxtrot.


Main Menu
This is where it all begins.
Add or Update Records / Songs / Dances Reports Setting Up Lists Cover Select Database File
  • The green "Add or Update" button is the one you will use most often. Clicking this button will take you to the part of the program where you tell Dance Master what records, songs, and dances you own, and where they are. This is also the place you will go to look that stuff up.
  • The blue "Run Reports" button is for getting summaries and printed reports.
  • The salmon(?) colored "Add or Delete" button is for maintaining your lists of Rhythms, Categories, and Record Labels. You probably won't need this one very often.
    • You should need the less-obtrusive gray buttons even less often.
  • It would be a good idea to click the "Clean Up Database File" once or twice a year to remove all the deleted records from the database file and refresh the indexes.
  • "Reset Form Locations" is there in case you happen to leave a screen minimized or off-screen when you close the program. Clicking it will reset all the screen sizes to their defaults and ther position to the upper left corner of the screen. It will be useful to remember this if you open the program one day to find that one of the screens has "gone missing" on you.
  • "Switch Database File" is used to switch from the sample database to your real database, and/or among several real databases, if you have more than one. Most people will have no need to do that.
    • For more details, click on one of the buttons in the image above.


Add or Update Records / Songs / Dances
All the dances in your collection are written for songs. All the songs in your collection are on records. (That isn't strictly true anymore, but it is the way DanceMaster sees it. Today your songs might be on vinyl records, CDs or mini-disks, or might exist only as MP3 files in your computer. Regardless, Records / Songs / Dances is how DanceMaster sees the world.) *
Records section
”Records” section of the Records
The top (pink) section is for dealing with records. All the buttons and fields here operate on records or the current record.
  • The "Label" field is for the record manufacturer (Grenn, RCA, etc.) and the "Mfrs Record No." field is, as you might expect, for the record number on the label.
  • "My Record No" is for whatever you'd like to use to help your own filing system work better. You can sort by, and look up based on, this number,
  • "Storage Location" is the place you keep a given record - the name of the shelf, drawer, box or pile you would find a particular record in.
  • "Date Purchased" and "From" are there in case you want to keep track of those things, but you don't have to use them.
    • The gray box on the right shows a list of the songs on this record. There should be anywhere from 2 (for vinyl records) to many (for CDs) songs. When you add a new record to the database, you should enter all the songs on the record, even if you don't plan to use the other songs right now. This habit can prevent buying lots of duplicate records.
    The buttons on this part of the form are to:
  • Add a New Record - Open the Record Detail form so you can add a new record to the database.
  • Details / Change - this will open the same form, but with the current record loaded, so you can change anything that needs changing. This form is also where you delete records that shouldn't be in there.
  • Print Jacket will show you the record information, along with some song and dance information, formatted for use as a record jacket cover. You can choose one of two formats - one concentrates on song and dance information and the other includes the cue card.
  • Browse - This button opens the Browse screen. That is a scrollable list of all the records in the database, which is handy for searching. More details here.
  • Find will open a form for finding a record by Label and Mfr's Number or by the My ID you have assigned to it. This form works best if called from the Browse screen.
  • Next and Previous Record will take you to the next or previous record in the database, alphabetically by Manufacturer and Mfr's Number.
    • Click here to check out the Record Details form that shows everything there is to know about this record.
    Click here to move on to the Songs section.
    *CDs and mini-disks can be considered "Records", but DanceMaster attaches MP3 files to a "Dummy" sound file on a "Dummy" record. When you are browsing around your database, don't delete the dummy record - the results won't be pretty.


Record Details
This is where you tell Librarian everything there is to know about your record. Or CD. (Everything except what is recorded on it, that is.)
If this is a previously entered record, the first field is the ID number that DanceMaster has assigned to it. If you are entering a new record, it doesn't have an ID yet.
My Record ID is a number that you can assign to this record if an ID number is part of your record filing system. You can put whtever you'd like here (letters, numbers, etc) and DanceMaster will pretty much ignore it, except that it will show up on reports. And you can even print a report sorted on this field.
Physical Medium is one of: Record, CD, Mini-disk, LP, Tape, Other, or None. Yes, None does make sense - for an MP3 file, for instance.
Record Label is the name of the record manufacturer (Roper, Grenn, RCA, etc.) (REQUIRED)
Mfrs Record Number is the number on the record label. (REQUIRED)
Location is the place you keep this record which shelf, drawer, box or pile to look in when you want to retrieve it. The choices here are what you defined in the "Record Locations" list. You set that up by clicking "Add or Update Rhythms / Categories / Record Labels & Locations" on the main menu (Aren't you glad you can just click it instead of typing it!), then choosing "Record Locations".
Date Purchased and Purchased From are optional, but sometimes nice to have.
Next: the Songs Section


Songs Section

Add or Update Records / Songs / Dances
Songs section
The middle (blue) section is for the songs on the current record (the one in the pink section).
"Title" and "Artist" are about what you'd expect, and "track" is useful if your Record is a CD. Or you can use it for side A or B of a record.
The "Dances to this song" box at the right lists all the songs on the current record, and allows you to select one of them (by clicking on the title). The selected dance has a little black triangle just to the left of the title, and its details are shown in the green "DANCE" section of the form.
Click the "Add New Song" button (pink, because it has to do with the Record) to add a new song to the current record. Click "Details / Change" to edit the selected song.
"Browse" will open the list of all the songs in the database. "Find" will let you search for a song by name. (More "Find" details here.)
Click here to go to the Dances Section or here for the Song Details


Song Details
The Song Details form shows the record this song is attached to at the top of the form. You can assign the song to a different record using the Move This Song To A Different Record button.
The Title is the title of the song as it appears on the record label, NOT the name of a dance written to the song!
The Performer is optional, but might be nice to know.
Track is the side (A or B) and the band (if there is more than one band per side) the song is on.
Check Cued Record (by clicking on the box) if this song is recorded with cues.


Dances Section

Add or Update Records / Songs / Dances
Dances section
And this, of course, is where we see the highlights of the dance selected in the list of dances up in the SONGS section of this page. Most of the fields shown here should be fairly self-expalnatory, but there are more details (and more information) on the Dance Details page.
The Add New Dance To This Song button will open an empty Dance Details form for you to... well, add a new dance to this song. Librarian will automatically attach the new dance to the current song and record shown in the upper part of the screen.
The Details / Change button will open that same form with the current dance loaded, so you can see ALL the details or change anything that needs changing.
The Next and Previous buttons are handy for moving to the next or previous dance in the database (in alphabetical order by dance name, independent of record and song). Notice that when you move to another dance, the record and song information changes to reflect the new dance.
Browse and Find work as described above.
Next: Dance Details


Dance Details
Reached from: Main Menu: Add or Update R/S/D --> Details / Change in Dance section
The Dance Details screen is where we enter or review all the information for a particular dance. The information shown here includes:
  • The Name of the dance. This should be what is on the cue sheet (not the name of the song). (Required)
  • The Choreographer is optional, but often nice to have.
  • The Phase is shown in Roundalab Roman numerals, but you can enter it using Arabic numbers if you prefer, as the program will convert it for you.
  • Plus is, of course, the number of "Plus" figures in the dance. Neither Roundalab nor the program will let you enter a number higher than 2 here.
  • Unphased is the number of unphased figures in the dance. The program doesn't impose a limit here, but your dancers might.
  • Suggested Speed is the speed that the dance should be played. You will be able to change this in the Player when you play the dance.
    • The following three fields are check boxes, which can be "checked" or "unchecked" by clicking them with the mouse or by pressing the space bar when the field is active.
  • Active - is this dance in your current repertoire?
  • Classic - is this a Roundalab classic dance?
  • Preferred - should this dance be on the list of dances you submit to festival programmers?
  • Plus Figures - One or both of these boxes may appear depending on the number of plus figures you specified above. Enter the names of the plus figures here.
  • Rhythm 1, 2, 3 - These are choice boxes where you select the rhythm of this dance. If it is a multi-rhythm dance, select rhythms in more than one box. You can select a rhythm from the drop-down list, or simply type the first letter or two in the box and the program will try to find a match from the list. (You can add more rhythms to the list from the Rhythms List page.)
  • Categories 1, 2, 3, 4. You can assign this dance to up to four categories (i.e. "New Dances", "Christmas Dances", "Romantic" and "Easy Level".
  • Other Significant Figures are figures that aren't above the rated phase but would be good to know about when selecting dances. An example is a figure that is unusual (but allowed) in this rhythm or at this phase, or a figure that might make this dance good (or bad) for teaching.
  • Comments: up to 200 characters of whatever you want to say about this dance. Your comments will show up on the Play screen in the Player.
  • The Cues are... box is where you tell Librarian how to handle voice cues. Your cues might be:
  • Not Recorded - this indicates that... well, that you haven't recorded cues for this dance. Yet.
  • In Voice File - choose this if you have recorded your cues in a separate voice file on your computer (the recommended method).
  • In Left Channel and Right Channel - Choose one of these if you have recorded your cues as the left or right channel of a stereo recording (mini-disk style).
    • The Cue Card File, Music Sound File, Cues Sound File and Full Cue Sheet boxes all operate similarly. If you click the Add / Change button, a list will pop up showing the contents of the appropriate folder on your disk. Clicking one of the entries in the list will attach that file (cue card, voice file, etc.) to this dance. If you don't find your cue card (or music, or etc.) file in that folder after all, click the No Cue Card for This Dance button at the bottom of the pop-up list. That also works to remove the link to a cue card you had previously specified,
  • Cue Card File: specify which cue card file in the Cue Cards folder (C:\DanceMaster\Cue Cards) to attach to this dance. Clicking the Show Cue Cards button will cause the cue card file to be displayed (in miniature) in the big box to the right. This can be very handy for double-checking, and cue card files in most formats can even be edited by double clicking in the box. However, turning this on slows down the display of the dance.
  • Music Sound File: select a music file from the C:\DanceMaster\Music Files folder. This is where you tell DanceMaster what speed the music was recorded at. the Player will use that information when figuring out how fast to play the dance, and in synchronizing the voice file. After selecting a music file you can play it, just to check.
  • Cues Sound File: operates the same way as the Music Sound File box.
  • Full Cue Sheet is where you specify a detailed cue sheet (fine print / foot print / step cues, etc.) file for this dance. If you do, then a button will appar on the Play screen in the Player allowing you to quickly look up things like the ending position of a figure or other details of the dance.
    • If you specified a voice file for this dance, the Synchronize Music and Voice Files box will be enabled. You use this to set the timing of your recorded cues. If you have recorded an introduction ("This is a phase four plus two Fox Trot. The plus figures are...") click the Start Cues button. Otherwise click the Start Music button first. When you do, either the cues or music will start playing. At the appropriate time, click the other "Start" button. Then you can use the Cues Earlier or Cues Later buttons to make adjustments. Click the "Stop" button to stop them both, then click "Start Both" to play it the way it would be played at a dance. You can make further adjustments with the "Earlier" and "Later" buttons. Be sure to click the "Save" button when you have it set the way you wnat it.
    The sliders at the right will let you adjust the music and cue volume.


Find Screen
Reached from: Main Menu -> Add/Update Records/Songs/Dances Button -> Find Button
The Find screen is for locating a particular D/S/R either by name or by ID number. The top section of the Find screen is for finding a dance by name, a song by title, or a record by label, and the bottom section is for finding by the ID number. You probably won't have much use for the "Find by ID Number" function, but it is there in case you ever need it. The "Find record by My Id Number" will be useful if you are using your own numbering system for records. The point is that you use either the top or the bottom part of the find Form. You don't have to fill in both parts.
If you do know the ID number of the item you want to find, click on the ID field in the bottom of the screen and enter the number there. Then click the "OK" button or press the <Enter> key.
If you are finding a Dance or Song by name or title, type the first few characters of that name or title in the top field on the screen. You will see the form underneath the Find screen move to the closest match the database can find to what you have typed so far. This is true of both the R/S/D screen and the Browse screen - both will adjust as you type - but you may find that you prefer to have the Browse screen open. You can either continue typing until you have entered enough characters to identify the correct item, or (if you have the browse screen open) stop when you can see the item you want, then select it with the mouse. For instance, typing "Ale" will probably be enough to select the song "Aleena", because there aren't many other songs that start with those three letters. However, if you have both "Wonderful Wonderful" and "Wonderful World of the Young", you would have to type 13 letters to get past the first one to the second. In the first case, you would probably just type "ale" <Enter>. In the second case, you might type "won" to get that part of the list in view, press <Enter> to close the Find Form, then click on Wonderful World Of The Young with the mouse.
In either case, when you have typed enough, press <Enter> or click the "OK" button. The Find screen will close, leaving the list with the entry you "found" selected. If you click the "Cancel" button instead, the list will return to where it was before you started the "find" process.
If you are finding a record, you can use both the "Label" and "Manufacturer's Number". Type the first few letters of the record label, until the correct label is selected in the list, then press the <Tab> key to move to the "Manufacturer's Number" field. Enter enough of the number to locate the record you want, then press <Enter> or click "OK" as above.


Browse Form

Browse Screen
Reached from: a "Browse" button on the Records / Songs / Dances screen
Browse screens are for getting an overview of the items in your database. They are also handy for finding an entry to look at more closely, to change, or to delete.
Clicking on one of the purple "Browse" buttons will open a window showing a list of all the records, songs or dances (depending on which of the "Browse" buttons you clicked) in the database, sorted by name. At first, of course, there won't be any, except for a dummy "placeholder". After you have entered a dance or two, the browse screen will show you the name and some of the other pertinent information about each dance in the database.
Along the top of the window you will find three "tabs", like the tabs on manila file folders. These are labeled "Dances", "Songs" and "Records", and they determine just what kind of list is shown on the form. Click on one of the tabs to see the list you are interested in.
One line in the list is the "selected" line, distinguished by the black triangle in the first (leftmost) column. You can select a different line by clicking somewhere in the line you want to choose (like on the Name or Title), or by pressing the down or up arrow keys on the keyboard. If the arrow keys don't appear to do anything, click with the mouse somewhere in the list part of the form. The arrows (and the Page Up and Page Down keys) should do what you expect after that.
If you click on a different tab at the top, you will see that the selected row is the one that applies to the selected item in the list you just left. (Try it - it is a lot easier to see that than to explain it!)
Notice that as you select different rows in this list, the Records/Songs/Dances window also changes to show the item you have selected. (You might have to move the Browse window to see it.) For instance, if you click on a dance, that dance will be shown in the lower section of the R/S/D form, and the song it is attached to will show in the blue section, and the record that song is on will be displayed in the pink section. Clicking on another dance will cause all three sections to update.
Click here for explanations of the BUTTONS or what's in the COLUMNS on the form.


Browse Form Buttons
Along the bottom of the screen are a few buttons that do about the same thing in each of the three lists:
* The DETAIL button will open a screen showing the details of whatever item is selected in the list. You can make changes to the data using that screen.
* The FIND button will open a window that will help you go directly to a particular Dance/SongRecord if you know its name or its ID number.
* The REFRESH button will re-read the data from the disk. This may be necessary if you want to see a change that you just made in a detail screen or to confirm that something you just deleted is indeed gone.
* The CLOSE button will close the browse screen.
* The buttons with the arrows (triangles) on them move through the list on the screen. The first button will take you to the first entry in the list (Fast Rewind); the next button will move you back (up) one entry; the next one will move you forward (down) one entry; and the fourth will take you to the last entry in the list (Fast Forward).
Once your database grows to a significant size, the most convenient way to get around will probably be by using the "Find" button. When you click this button, a little form will pop up where you can type the name of whatever you are looking for. For instance, if you have DANCES displayed when you click the button, it will assume you want to find a dance. As you type the letters of the name of the dance, the list will move to bring you closer to the dance you are trying to find. When you are close enough, just press "Enter" to close the Find form. Don't click "Close" unless you want to return to where you were before you started the "find" process.
Click HERE for an explanation of the columns in the Browse Screens


Columns in the Browse Forms

Columns in the Browse Screens
The columns of data displayed in the list depend of course on which list is being shown. Most of the columns should be fairly self-evident, but some of them may need a word of explanation.
The DANCES list:
* ID: the internal ID number of this dance. You probably don't particularly care about this one.
* Name: Name of the dance.
* Ph: Phase of the dance
* +: Number of "Plus" figures in the dance
* Rh1, Rh2, Rh3: Rhythms in the dance.
* Choreographer: Well...
* Cat: The first category you have assigned this dance to (Christmas, etc.).
* P: Preferred - is this dance on your preferred list?
* A: Active - is this a dance in your current repertoire?
* NR: Needs Revision - something about this entry (probably the cue card) needs correcting.
* Song ID: The internal ID number of the song record this dance is linked to. You shouldn't have to care about this one either.
The SONGS list:
* ID: Internal song identification number.
* Title, Performer: What you would expect.
* Record ID: The internal ID number of the platter this song is linked to.
* Track: The side (or CD track) of the platter this song is on.
The RECORDS list:
* Mfgr: The manufacturer (or Label) of this platter (RCA, Belco, Grenn, etc.).
* MfgrsNo: The record number assigned to this platter by the manufacturer.
* Location: Where you have stored this platter.
* ID: Internal identification number of this platter.


List Entry Forms
Reached from: Main Menu --> Add or Update Rhythms / Categories / Record Labels & Locations
DanceMaster maintains lists of rhythms, categories, record labels, and record locations. These are so DM can offer you a list to choose from, rather than making you type things that can be very repetitive, and also for the sake of uniformity, so things that should be the same come out the same.
There are forms for updating each of the DanceMaster lists, all of which operate very similarly. In each case, there is a white list box on the left of the screen that shows the current contents of the list, and instructions for changing or adding to the list on the right.


Configuration Screen
Reached from: Main Menu -> Switch Database File button -> Specify Folder Locations button
This is where you tell DanceMaster where to find the files it needs. DanceMaster needs a database file, to tell it what dances you have, and all about each dance, including what cue card, music, etc. files go with it. It also needs to know where to find those music files, etc. It is best if you leave these things in their default locations in and under the DanceMaster folder. DM can handle having them in other places, but I have spent more hours than I can afford rescuing people from the trouble they have gotten themselves into as a result of moving them.
If you MUST move things around, this is the place to do it. But please don't unless you know what you are doing.
If you do come up with a custom configuration, you can use the "Save" button to have DM remember it. You can save several configurations and use the "Load a previous..." button to select one to restore.


Reports
Reached from: Main Menu
Here is where all that work you put into entering data starts to pay dividends.
Reports are really lists of things in your database, sorted and filtered in various ways. Sorting, of course, means arranging the items in the list in a particular order, such as "alphabetically by name", or in a combination of orders, as "by phase then by name". Filtering a list simply means showing only some of the items in the list - usually those that meet some criteria such as "Phase = III" or "Rhythm = Waltz". A list can be both sorted and filtered, as in "Phase IV waltzes in alphabetical order".
The DanceMaster Record Librarian comes with a variety of reports, and more can be added as the demand warrants. If you have Microsoft Access 2000, you can generate your own reports as well. Just PLEASE be careful not to add or modify any data in Access -- you could break the database and then we would both be very unhappy.
You can view the reports on the screen and even zoom in and out. You can print the reports on your printer, or you can export them to a disk file. You can print or export the whole report or just selected pages, if you wish.
Librarian's built-in reports include:
Dances:
  • Preferred dances - the ones you would vonunteer to cue (and have marked "Preferred" on the Dance Details screen) Sorted by Phase and Rhythm, or by Rhythm and Phase.
  • Active dances - the ones you have available and would be willing to cue if someone requested them (includes Preferred dances, of course). You can print these sorted by Rhythm, by Phase, or by Category.
  • All Dances - everyting in the database, including your "inactive" dances (the ones you don't consider to be in your current repertoire). Sorted by Rhythm or by Dance Name. The "Full Detail" report will list everything DM knows about the dance, including all the song and record information. This makes it a BIG report, so have lots of paper available.
    • Records:
  • You can get reports of all your records, sorted by Manufacturer and Manufacturer's number, or by your own My ID number. You can also get a "Full Detail" report that lists everything about the records, including the song and dance information. This too, will run to many pages.
    • There may be others that have been added since this was written. If you don't see the one you need, let me know. It might just appear in a future release.


Using Multiple Databases
It is possible to keep more than one database setup for DanceMaster. Each setup can have its own database file, music folder, cue cards folder, etc. You can switch from one setup to another fairly quickly, but you will have to restart DanceMaster after the switch. That means that while you could have one setup for cueing and one for calling squares, it might be a bit time consuming to try to alternate between them at a dance.
To set up an alternate configuration, set up the new folders that you want to use, populate them with files, and create a new database file (the easiest way is to make a copy of "Empty.mdb"). Then click the "Switch Database File" button on the Main Menu. Click "Specify Folder Locations", acknowledge that you are on your own, and click one of the "Change..." buttons. The folders and the database file must have been set up prior to entering this screen.
When you have your new setup defined, click the "Save this folder configuration" button, and give the setup a name. (Don't forget to do this for the default configuration, too.)
Remember to exit DanceMaster when you switch.


Operational Overview
The DanceMaster Database (DMDB) will be a very useful tool, providing you with lots of information about your dances and music. You can use it to keep track of what records (or mini-disks, tapes, CDs or whatever) hold the music for which dances, where a given record is stored, whether you already have the record for a new dance you are considering buying, and which phase III waltzes have a telemark in them. You can print lists of your dances sorted by phase, rhythm, and/or name. You can look at just the dances in your current repertoire, or ALL the dances you happen to have. You can print a list of your "preferred" dances to give to the people who are preparing the program for the upcoming festival -- or your Christmas dances for your own planning -- or a "Request Menu" for the dancers - and lots more.
The bad news is that you have to get all that information into the database before you can use it. The good news is that the DMDB will make it as painless as possible to do that and to keep the information up to date.
There are four main parts of the program:
The Records/Songs/Dances section, where you browse through lists of ... well ... records, songs and dances. This is also where you go to look up a particular record/song/dance, add new ones, and correct any misinformation in the database.
  • The Reports section, where you can get sorted and filtered lists of dances and records, either on the screen or from your printer.
  • The File Locations section, where you tell DMDB where on your computer to find the files it needs, such as the database file itself, and the folders where you keep your cue cards and sound files (if you use the DanceMaster Player module).
  • The Lists section, where you set up and maintain the various lists that DMDB uses to help make data entry easier, including the lists of rhythms, categories, and record locations.
    • The next few screens will describe how to set up the database, how to switch to and explore the sample database, how to customize the categories and record locations lists, and then take you step-by-step through entering your first dance.
    Next: How to register